## martin 1.0.0

=== Makefile ===
.PHONY: clean name version fullname dist dist-bzip2

NAME=martin
VERSION=$(shell (test -d .git && git describe || cat VERSION) | sed 's/^v//; s/-/./g')

prefix = /usr

dpkg-extract:
	/bin/bash download.sh $(VERSION)

all: dpkg-extract

install: dpkg-extract

clean:
	rm -fr dpkg-extract
	rm -f martin.deb

DIST_FILES = \
	COPYING \
	Makefile \
	download.sh

dist: clean
	-mkdir sdist
	rm -rf sdist/$(NAME)-$(VERSION)
	mkdir -p sdist/$(NAME)-$(VERSION)
	echo $(VERSION) > sdist/$(NAME)-$(VERSION)/VERSION
	for i in $(DIST_FILES); do \
		cp -R "$$i" sdist/$(NAME)-$(VERSION); \
	done

install: dpkg-extract
	mkdir -p $(DESTDIR)$(prefix)/bin/
	cp -r dpkg-extract/usr/bin/martin $(DESTDIR)$(prefix)/bin/
	cp -r dpkg-extract/usr/bin/martin-cp $(DESTDIR)$(prefix)/bin/
	cp -r dpkg-extract/usr/bin/mbtiles $(DESTDIR)$(prefix)/bin/

dist-bzip2: dist
	-mkdir sdist
	cd sdist && tar cfj ../sdist/$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

version:
	@(echo $(VERSION))

name:
	@(echo $(NAME))

fullname:
	@(echo $(NAME)-$(VERSION))

## martin 0.18.1.5.g2e84e4f

=== debian/changelog ===
martin (0.18.1.5.g2e84e4f-1~eob130+1) trixie-eobuilder; urgency=low

  * (2e84e4) debian: add ca-certificates as curl only recommends them
  * (29ed9f) add debug option on download.sh script
  * (83f805) debian: add curl as a build dependency
  * (f02c09) add Jenkinsfile
  * (aa4dc2) cleaning Makefile and download script

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 12 Aug 2025 03:40:10 +0200

martin (0.18.1) trixie-eobuilder; urgency=low

  * (a32a18) remove martin.deb when cleaning

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 12 Aug 2025 03:23:28 +0200

martin (0.1) trixie-eobuilder; urgency=low

  * (33aa63) first commit

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 12 Aug 2025 03:20:49 +0200

=== debian/control ===
Source: martin
Maintainer: info@entrouvert.com
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 12), curl, ca-certificates
Standards-Version: 3.9.6

Package: martin
Architecture: amd64
Description: Martin vector tiles server
 Martin is a tile server and a set of tools able to generate vector tiles on
 the fly from large PostgreSQL databases, and serve tiles from PMTiles and
 MBTiles files. Martin optimizes for speed and heavy traffic, and is written in
 Rust.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS=nostrip

%:
	dh $@

## martin 1.0.0

=== debian/changelog ===
martin (1.0.0-1~eob130+1) trixie-eobuilder; urgency=low

  * (0af45d) new download URL

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 16 Oct 2025 14:44:41 +0200

martin (0.19.3) trixie-eobuilder; urgency=low

  * (2e84e4) debian: add ca-certificates as curl only recommends them
  * (29ed9f) add debug option on download.sh script
  * (83f805) debian: add curl as a build dependency
  * (f02c09) add Jenkinsfile
  * (aa4dc2) cleaning Makefile and download script

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 12 Aug 2025 03:40:10 +0200
